"use strict";
const common_vendor = require("../../common/vendor.js");
const ME_activities_show_method = require("./method.js");
const ME_activities_show_model = require("./model.js");
const common_libraries_day = require("../../common/libraries/day.js");
const gen_Enums = require("../../gen/Enums.js");
require("../../gen/Apis.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../common/libraries/setTabBar.js");
require("../../common/libraries/apiLoading.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/userUserLogin.js");
require("../../common/libraries/naviHelper.js");
if (!Array) {
  const _easycom_hs_enum_tag2 = common_vendor.resolveComponent("hs-enum-tag");
  const _easycom_up_parse2 = common_vendor.resolveComponent("up-parse");
  const _easycom_hs_button2 = common_vendor.resolveComponent("hs-button");
  (_easycom_hs_enum_tag2 + _easycom_up_parse2 + _easycom_hs_button2)();
}
const _easycom_hs_enum_tag = () => "../../components/hs-enum-tag/hs-enum-tag.js";
const _easycom_up_parse = () => "../../node-modules/uview-plus/components/u-parse/u-parse.js";
const _easycom_hs_button = () => "../../components/hs-button/hs-button.js";
if (!Math) {
  (_easycom_hs_enum_tag + _easycom_up_parse + _easycom_hs_button)();
}
const _sfc_defineComponent = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad((e) => {
      var _a;
      (_a = ME_activities_show_method.method) == null ? void 0 : _a.getShow(e == null ? void 0 : e.id);
    });
    common_vendor.onShareAppMessage(() => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j;
      return {
        title: `您的好友邀请你报名${(_c = (_b = (_a = ME_activities_show_model.useModel) == null ? void 0 : _a.showData) == null ? void 0 : _b.value) == null ? void 0 : _c.title}`,
        path: `/INDEX/activities_show/index?id=${(_f = (_e = (_d = ME_activities_show_model.useModel) == null ? void 0 : _d.showData) == null ? void 0 : _e.value) == null ? void 0 : _f.id}`,
        imageUrl: (_j = (_i = (_h = (_g = ME_activities_show_model.useModel) == null ? void 0 : _g.showData) == null ? void 0 : _h.value) == null ? void 0 : _i.cover_image[0]) == null ? void 0 : _j.url
      };
    });
    common_vendor.onShareTimeline(() => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j;
      return {
        title: `您的好友邀请你报名${(_c = (_b = (_a = ME_activities_show_model.useModel) == null ? void 0 : _a.showData) == null ? void 0 : _b.value) == null ? void 0 : _c.title}`,
        path: `/INDEX/activities_show/index?id=${(_f = (_e = (_d = ME_activities_show_model.useModel) == null ? void 0 : _d.showData) == null ? void 0 : _e.value) == null ? void 0 : _f.id}`,
        imageUrl: (_j = (_i = (_h = (_g = ME_activities_show_model.useModel) == null ? void 0 : _g.showData) == null ? void 0 : _h.value) == null ? void 0 : _i.cover_image[0]) == null ? void 0 : _j.url
      };
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y;
      return {
        a: common_vendor.t((_c = (_b = (_a = common_vendor.unref(ME_activities_show_model.useModel)) == null ? void 0 : _a.showData) == null ? void 0 : _b.value) == null ? void 0 : _c.title),
        b: common_vendor.t(common_vendor.unref(common_libraries_day.showDay)((_f = (_e = (_d = common_vendor.unref(ME_activities_show_model.useModel)) == null ? void 0 : _d.showData) == null ? void 0 : _e.value) == null ? void 0 : _f.start_time)),
        c: common_vendor.t(common_vendor.unref(common_libraries_day.showDay)((_i = (_h = (_g = common_vendor.unref(ME_activities_show_model.useModel)) == null ? void 0 : _g.showData) == null ? void 0 : _h.value) == null ? void 0 : _i.end_time)),
        d: common_vendor.p({
          value: (_l = (_k = (_j = common_vendor.unref(ME_activities_show_model.useModel)) == null ? void 0 : _j.showData) == null ? void 0 : _k.value) == null ? void 0 : _l.status,
          Enums: common_vendor.unref(gen_Enums.HouseChargeTasksStatusEnum)
        }),
        e: common_vendor.n(`status event_status_${(_o = (_n = (_m = common_vendor.unref(ME_activities_show_model.useModel)) == null ? void 0 : _m.showData) == null ? void 0 : _n.value) == null ? void 0 : _o.status}`),
        f: common_vendor.p({
          content: (_r = (_q = (_p = common_vendor.unref(ME_activities_show_model.useModel)) == null ? void 0 : _p.showData) == null ? void 0 : _q.value) == null ? void 0 : _r.content
        }),
        g: common_vendor.o((_s = common_vendor.unref(ME_activities_show_method.method)) == null ? void 0 : _s.handleCancelSignUp),
        h: common_vendor.p({
          size: "md",
          type: "display",
          disabled: !common_vendor.unref(common_libraries_day.getIsInRangeInclusive)((_v = (_u = (_t = common_vendor.unref(ME_activities_show_model.useModel)) == null ? void 0 : _t.showData) == null ? void 0 : _u.value) == null ? void 0 : _v.start_time, (_y = (_x = (_w = common_vendor.unref(ME_activities_show_model.useModel)) == null ? void 0 : _w.showData) == null ? void 0 : _x.value) == null ? void 0 : _y.end_time),
          label: "取消报名"
        }),
        i: common_vendor.p({
          size: "md",
          type: "primary",
          label: "分享活动",
          openType: "share"
        })
      };
    };
  }
});
_sfc_defineComponent.__runtimeHooks = 6;
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_defineComponent, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/ME/activities_show/index.vue"]]);
wx.createPage(MiniProgramPage);
